<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css">
<!-- Container-fluid starts-->
<div class="container-fluid">
    <div class="card">
        <div class="card-header">
            <h5>Byer Details</h5>
        </div>
        <div class="card-body">
            <div id="batchDelete" class="category-table custom-datatable transcation-datatable user-image">

                <div class="container bootstrap snippets bootdey">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="main-box no-header clearfix">
                                <div class="main-box-body clearfix">
                                    <div class="table-responsive">
                                        <table class="table user-list">
                                            <thead>
                                                <tr>
                                                  
                                                    <th><span>User</span></th>
                                                    <th ><span>Telephone</span></th>
                                                    <th><span>Email</span></th>
                                                    <th><span>Action</span></th>
                                                    
                                                   
                                                </tr>
                                            </thead>
                                            <tbody *ngFor="let u of listacheteur">
                                                <tr>
                                                    
                                                    <td>{{u.firstName}} {{u.lastName}}</td>
                                                    <!-- <td>{{u.roles[1].name}}</td> -->
                                                    <td>
                                                        {{u.phone}}
                                                    </td>
                                                    <td>
                                                       {{u.email}}
                                                    </td>
                                                    <td>
                                                        <a class="table-link danger"  (click)="onOpenModal(u.id)"
                                                        data-original-title="delete" data-placement="top"
                                                        data-toggle="tooltip">
                                                        <span class="fa-stack" >
                                                            <i class="fa fa-square fa-stack-2x" ></i>
                                                            <i class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                        </span>
                                                    </a>
                                                    </td>
                                                    
                                                    <div class="modal fade" id="deleteUserModal" tabindex="-1" role="dialog"
                                                    aria-labelledby="userDeleteModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="deleteUserModalLabel">Delete
                                                                    User </h5>
                                                                <button type="button" class="close" data-dismiss="modal"
                                                                    aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p>Are you sure you want to delete user ?</p>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        id="deleteUserModal"
                                                                        data-dismiss="modal">No</button>
                                                                    <button class="btn btn-danger"
                                                                        (click)="onDeleteUser(deletUser?.id)"
                                                                        data-dismiss="modal">Yes</button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>